WordPress.org

Make WordPress Core

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#41062 closed defect (bug) (invalid)

WP DEBUG true = has_cap was called with an argument that is deprecated

Reported by: faca5 Owned by:
Milestone: Priority: normal
Severity: normal Version: 4.8
Component: General Keywords: reporter-feedback
Focuses: Cc:

Description

Hello.

Please can you replace "has_cap" function with new one in "/wp-includes/functions.php"?

Thank you!

config.php
define('WP_DEBUG', true);

Error:
Notice: has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /wp-includes/functions.php on line 4023

Change History (4)

#1 @ocean90
3 years ago

  • Keywords reporter-feedback added

Hello @faca5, welcome to WordPress Trac!

Thanks for your report but it's likely that it's caused by one of your plugins or the theme. Can you disable all of them and use a default theme to verify this? Thanks!

#2 @faca5
3 years ago

Hello.

It is correct! Problem fixed.

Thank you!

#3 @faca5
3 years ago

  • Resolution set to invalid
  • Status changed from new to closed

#4 @netweb
3 years ago

  • Milestone Awaiting Review deleted
Note: See TracTickets for help on using tickets.